php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #80615 Missing/invalid REST endpoints of pecl.php.net
Submitted: 2021-01-11 16:54 UTC Modified: -
From: mlocati at gmail dot com Assigned:
Status: Open Package: PECL (PECL)
PHP Version: Irrelevant OS: Irrelevant
Private report: No CVE-ID: None
Have you experienced this issue?
Rate the importance of this bug to you:

 [2021-01-11 16:54 UTC] mlocati at gmail dot com
Description:
------------
There are some problems with a few PECL packages.


# 404 (Not Found) errors for version details

For example, https://pecl.php.net/rest/r/big_int/allreleases.xml says that the big_int package has version 1.0.1.
But when we fetch https://pecl.php.net/rest/r/big_int/1.0.1.xml we have a 404 response (other versions work without problems, see for example https://pecl.php.net/rest/r/big_int/1.0.0.xml and https://pecl.php.net/rest/r/big_int/1.0.2.xml ).
This error occurs for the following packages and versions:

- big_int: 1.0.1
- bz2_filter: 1.0
- couchbase: 2.0.6
- cvsclient: 0.1
- ds: 1.2.7
- DTrace: 1.0.0
- hprose: 1.0.0, 1.1.0, 1.2.0
- imlib2: 0.1.00
- libsodium: 0.1.2, 2.0.14, 2.0.15
- lua: 2.0.0
- mailparse: 0.9.3, 0.9.4
- mustache: 0.8.1
- Net_Gopher: 0.1
- oggvorbis: 0.1, 0.2
- openal: 0.1
- opendirectory: 0.2.1, 0.2.2, 0.2.3, 0.2.4, 0.2.5, 0.2.6
- Paradox: 1.0
- PDO_INFORMIX: 0.1
- PECL_Gen: 0.8.2
- pecl_http: 2.4.2
- ps: 1.1.0
- psr: 0.6.1
- SCA_SDO: 0.5.0, 0.5.1, 0.5.2, 0.6.1, 0.7.0, 0.7.1, 0.9.0, 1.0.0, 1.0.1, 1.0.2, 1.0.3, 1.0.4
- tidy: 0.5.2, 0.5.3, 0.7, 1.0, 1.1
- win32ps: 1.0.0
- win32ps_dll: 1.0.0
- zeroconf: 0.1, 0.1.1, 0.1.2
- zlib_filter: 1.0.1


# 404 (Not Found) errors for packages

For example, https://pecl.php.net/rest/r/operator/allreleases.xml says that the operator package has version 0.1.
But when we fetch http://pecl.php.net/get/operator-0.1 we have a 404 response (other versions work without problems, see for example https://pecl.php.net/get/operator-0.4.1).
This error occurs for the following packages and versions:
- operator: 0.1, 0.2, 0.3
- PDO_SQLANYWHERE: 0.1.0


# Other issues:

- https://pecl.php.net/rest/r/event/1.10.2.xml has an invalid encoding, neither the browser nor the PHP DOMDocument can read it
- https://pecl.php.net/get/APC-3.0.18.tgz returns a 500 Internal Server Error response (but http://pecl.php.net/get/APC-3.0.18 works)
- these URLs return 0 bytes (those versions should exist accordingly to the allreleases.xml file of the related packages:
  - https://pecl.php.net/rest/r/zendopcache/7.0.0.xml
  - http://pecl.php.net/get/win32ps-1.0.0
  - http://pecl.php.net/get/win32ps_dll-1.0.0



Patches

Add a Patch

Pull Requests

Add a Pull Request

 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Mon Mar 01 10:01:23 2021 UTC